$transition-duration: 0.5s;

.map-search-bis {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;

  overflow: hidden;
  z-index: 999;
  padding-top: $spacer * 4;
  transition: all ease-in-out $transition-duration;
  background: rgba(255, 255, 255, 0);

  max-width: 100%;
  width: 100%;

  @include media-breakpoint-up(md) {
    max-width: 60%;
  }

  @include media-breakpoint-up(lg) {
    max-width: 420px;
    width: 420px;
  }

  pointer-events: none;

  border-right: 1px solid transparent;

  .article {
    .embed,
    .ce-block.is-embed {
      width: 100%;
      margin: 0;

      iframe {
        border-radius: $card-border-radius;
      }
    }
  }

  &.active {
    background-color: rgba(white, 0.9);
    backdrop-filter: saturate(180%) blur(10px);
    width: 100%;
    border-right: 1px solid $white;

    &.has-feature-content {
      max-width: 450px;
    }

    @include media-breakpoint-up(md) {
      max-width: 50%;
    }

    @include media-breakpoint-up(lg) {
      max-width: 450px;
    }
  }

  .btn .page-col-base-container.icon-container {
    display: inline-block;
    height: 10px;
  }

  .icon-selector {
    display: flex;
    flex-wrap: wrap;
    padding: 0;

    .icon-element {
      width: 25%;

      &.mx-auto {
        margin: 0 !important;
      }
    }
  }

  .search-container {
    pointer-events: none;

    & > * {
      pointer-events: all;
    }
  }

  .wrapper {
    padding-top: $spacer * 4;
  }

  .group-icon {
    height: 1.5em;
  }

  .input-group-icon {
    border-top-left-radius: $border-radius-lg;
    border-bottom-left-radius: $border-radius-lg;

    img {
      height: 32px;
    }
  }

  &.is-embedded {
    padding-top: 0;

    .search-container {
      top: 0;
    }
  }

  & > * {
    pointer-events: all;
  }

  &.has-content {
    padding-top: 0;
    overflow: auto;
    pointer-events: all;

    .search-container {
      top: 0;
    }

    .content {
      opacity: 1;
    }
  }

  .content {
    transition: all ease-in-out $transition-duration;
    opacity: 0;
    word-break: break-word;
  }

  .search-container {
    transition: all ease-in-out $transition-duration;
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    height: 0;

    z-index: 999;

    .btn-light {
      background-color: $white;
      border-color: $input-border-color;

      &:hover {
        border-color: var(--bs-gray-500);
        background-color: var(--bs-gray-200);
      }
    }
  }

  .cover-feature {
    transition: all ease-in-out $transition-duration;

    height: 500px;

    z-index: 0;

    background-position: center center;
    background-size: cover;
  }

  .section {
    padding-top: 0;
  }

  .loading-container {
    padding-top: $spacer * 6;
    text-align: center;
  }

  .input-search-container {
    position: relative;
    z-index: 99;
    border-radius: $border-radius-lg;
    box-shadow: $box-shadow;
    max-width: 380px;
    flex-grow: 2;

    .input-search.with-back-btn {
      padding-left: $input-padding-x-lg + $spacer + 2rem;
    }

    .placeholder {
      background-color: transparent;
      color: $gray-600;
      position: absolute;
      top: 0;
      right: 0;
      height: $input-height-lg;
      font-size: $input-font-size-lg;

      padding: $input-padding-y-lg $input-padding-x-lg;
      cursor: text;
    }

    .btn-go-back {
      position: absolute;
      top: 0;
      left: 0;
      bottom: 0;
      border: 1px solid rgba(white, 0);
      background-color: rgba(white, 0);

      &:hover {
        color: $primary;
      }

      .border {
        position: absolute;
        right: 0;
        top: calc(50% - 0.5rem);
        width: 1px;
        height: 1rem;
        border: 0 !important;
        border-right: 1px solid $gray-500 !important;
      }
    }
  }

  .btn-show-search {
    position: relative;
    z-index: 1;
    border-top: 0;
    top: $spacer * -0.3;
    left: $spacer * 0.5;
    color: $primary;
    font-size: $font-size-sm;
    margin-left: $spacer;
  }

  @media (max-height: 500px) {
    &.active {
      width: 100%;
      max-width: 100%;

      &.has-feature-content {
        width: 100%;
        max-width: 100%;
      }
    }

    .content,
    .liquid-child,
    .liquid-container,
    .content-scroll {
      position: absolute;
      width: 100%;
      height: 100%;
      overflow: hidden;
    }

    .content {
      pointer-events: none;
    }

    &.has-content {
      overflow: none;

      .content {
        pointer-events: all;
      }

      .cover-feature {
        opacity: 1;
      }

      transition: all ease-in-out $transition-duration;
      background: $transparency-color;

      backdrop-filter: $transparency-blur;
      -webkit-backdrop-filter: $transparency-blur;
      -moz-backdrop-filter: $transparency-blur;
    }

    .cover-feature {
      transition: all ease-in-out $transition-duration;
      top: 0;
      bottom: 0;
      left: 0;
      width: calc(100% - 500px);
      height: 100%;

      position: absolute;
      background-color: $gray-300;
      opacity: 0;
      pointer-events: none;

      &.show {
        opacity: 1;
      }
    }

    .content-scroll {
      overflow: auto;
      position: absolute;
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;
    }

    .cover-feature + .content-scroll {
      top: 0;
      bottom: 0;
      right: 0;
      left: calc(100% - 500px);
      width: 500px;
    }
  }
}
